Subject: Re: [PATCH net v2] ipmr: Fix access to mfc_cache_list without lock held

From: Jakub Kicinski <[email-masked]>
Date: Wed, 13 Nov 2024 19:10:23 -0800

On Fri, 08 Nov 2024 06:08:36 -0800 Breno Leitao wrote:
> Accessing `mr_table->mfc_cache_list` is protected by an RCU lock. In the
> following code flow, the RCU read lock is not held, causing the
> following error when `RCU_PROVE` is not held. The same problem might
> show up in the IPv6 code path.

good start, I hope someone can fix the gazillion warnings the CI 
is hitting on the table accesses :)